# Elevator control

Project for handling elevator button with esp32. Configuration for esphome, without connection to home assistant, mqtt,
or Wi-Fi

## Features

* Momentary button press
    * turns on/off light
    * turns on/off music
* Lock switch turns fan for 5 minutes
* Music plays on a loop while lock sensor senses that lock is locked
* Music turns off when lock sensor senses that lock is unlocked

## Pinout

### ESP32

| PIN | Role                       |
|-----|----------------------------|
| 1   | UART TX - RX DFPlayer Mini |
| 3   | UART RX - TX DFPlayer Mini |
| 14  | Lock status                |
| 25  | Button                     |
| 26  | Light relay                |
| 27  | Fan relay                  |
| 32  | Up LED                     |
| 33  | Down LED                   |

### DFPLayer Mini

![dfplayer mini pinout](img/dfplayer%20mini.png)
